# HostName

Overrides the hostname used inside messages from this input.

This parameter applies to imuxsock: Unix Socket Input Module.

Name:

  HostName

Scope:

  input

Type:

  string

Default:

  input=NULL

Required?:

  no

Introduced:

  at least 7.0.0, possibly earlier

## Description

Allows overriding the hostname that shall be used inside messages taken from the input that is being defined.

## Input usage

    input(type="imuxsock" hostName="jail1.example.net")

### Legacy names (for reference)

Historic names/directives for compatibility. Do not use in new configs. .. _imuxsock.parameter.legacy.inputunixlistensockethostname:

- $InputUnixListenSocketHostName — maps to HostName (status: legacy)

## See also

See also imuxsock: Unix Socket Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.